// vsscanf.cpp : R\[ AvP[ṼGg |Cg`܂B
//

#include "stdafx.h"
#include "vsscanf.h"
#include <stdarg.h>

int ssscanf( const TCHAR *buffer, const TCHAR *format, ... )
{
	va_list argptr;
	va_start( argptr, format );
	int p = _vstscanf( buffer, format, argptr );
	va_end( argptr );
	return p;
}

int _tmain(int argc, _TCHAR* argv[])
{
	int a, b, c, d, e, f;
	TCHAR txt[] = _T("10 20 30 40 50 60");

	ssscanf( txt, _T("%d %d %d %d %d %d"), &a, &b, &c, &d, &e, &f );
	a = b = c = d = e = f = 0;
	ssscanf( txt, _T("%d %d %d %d %d"), &a, &b, &c, &d, &e );
	a = b = c = d = e = f = 0;
	ssscanf( txt, _T("%d %d %d %d"), &a, &b, &c, &d );
	a = b = c = d = e = f = 0;
	ssscanf( txt, _T("%d %d %d"), &a, &b, &c );
	a = b = c = d = e = f = 0;
	ssscanf( txt, _T("%d %d"), &a, &b );
	a = b = c = d = e = f = 0;
	ssscanf( txt, _T("%d"), &a );

	return 0;
}

